#1505 closed defect (fixed)

type in rtems_libio_is_valid_perms

Reported by: Nickolay Semyonov-Kolchin Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, sebastian.huber@… Blocked By:
Blocking:

Description

rtems_libio_is_valid_perms is defined as:

#define rtems_libio_is_valid_perms(_perm) \

(~ ((~RTEMS_LIBIO_PERMS_RWX) & _perm ))

This code will always return non-zero value. Probably it should be defined as:

#define rtems_libio_is_valid_perms(_perm) \

(! ((~RTEMS_LIBIO_PERMS_RWX) & _perm ))

Change History (5)

comment:1 Changed on Jun 14, 2010 at 11:41:58 PM by Joel Sherrill

Component: cpukitfilesystem
Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on Jun 15, 2010 at 12:04:22 AM by Joel Sherrill

Cc: Joel Sherrill added

comment:3 Changed on Jun 15, 2010 at 12:31:52 AM by Chris Johns

Status: newassigned

comment:4 Changed on Mar 13, 2012 at 11:44:56 AM by Sebastian Huber

Milestone: 4.104.11
Resolution: fixed
Status: assignedclosed, sebastian.huber@embedded-brains.de
Note: See TracTickets for help on using tickets.